<?php

namespace Faker\Provider\ru_RU;

class Person extends \Faker\Provider\Person
{
	protected static $formats = array(
		'{{firstName}} {{middleName}} {{lastName}}',
		'{{lastName}} {{firstName}} {{lastName}}',
	);

	/**
	 * {@link} http://ru.wikipedia.org/wiki/%D0%A0%D1%83%D1%81%D1%81%D0%BA%D0%BE%D0%B5_%D0%BB%D0%B8%D1%87%D0%BD%D0%BE%D0%B5_%D0%B8%D0%BC%D1%8F
	 **/
	protected static $firstName = array(
		'Александр', 'Алексей', 'Дмитрий', 'Сергей', 'Андрей', 'Антон', 'Артём',
		'Артемий', 'Виталий', 'Владимир', 'Денис', 'Евгений', 'Иван', 'Игорь',
		'Константин', 'Максим', 'Михаил', 'Николай', 'Павел', 'Роман', 'Станислав',
		'Август', 'Адам', 'Адриан', 'Аким', 'Ананий', 'Анатолий', 'Антонин',
		'Аполлон', 'Аркадий', 'Арсений', 'Богдан', 'Болеслав', 'Борис', 'Бронислав',
		'Вадим', 'Валентин', 'Валериан', 'Валерий', 'Василий', 'Вениамин', 'Виктор',
		'Викентий', 'Виль', 'Витольд', 'Владислав', 'Владлен', 'Всеволод', 'Вячеслав',
		'Геннадий', 'Георгий', 'Герасим', 'Герман', 'Глеб', 'Гордей', 'Григорий',
		'Давид', 'Дан', 'Даниил', 'Данила', 'Добрыня', 'Донат', 'Егор', 'Ефим',
		'Захар', 'Игнатий', 'Игнат', 'Илларион', 'Илья', 'Иннокентий', 'Иосиф',
		'Ираклий', 'Кирилл', 'Клим', 'Кузьма', 'Лаврентий', 'Лев', 'Леонид', 'Макар',
		'Марк', 'Матвей', 'Милан', 'Мирослав', 'Назар', 'Никита', 'Никодим',
		'Олег', 'Пётр', 'Платон', 'Прохор', 'Радислав', 'Рафаил', 'Родион',
		'Ростислав', 'Руслан', 'Савва', 'Сава', 'Святослав', 'Семён', 'Степан',
		'Стефан', 'Тарас', 'Тимофей', 'Тит', 'Фёдор', 'Феликс', 'Филипп', 'Юлиан',
		'Юлий', 'Юрий', 'Яков', 'Ян', 'Ярослав',
	);

	protected static $middleName = array(
		'Александрович', 'Алексеевич', 'Андреевич', 'Дмитриевич', 'Евгеньевич',
		'Сергеевич', 'Иванович', 'Фёдорович', 'Львович',
	);

	/**
	 * {@link} http://ru.wikipedia.org/wiki/%D0%A1%D0%BF%D0%B8%D1%81%D0%BE%D0%BA_%D0%BE%D0%B1%D1%89%D0%B5%D1%80%D1%83%D1%81%D1%81%D0%BA%D0%B8%D1%85_%D1%84%D0%B0%D0%BC%D0%B8%D0%BB%D0%B8%D0%B9
	 **/
	protected static $lastName = array(
		'Смирнов', 'Иванов', 'Кузнецов', 'Соколов', 'Попов', 'Лебедев', 'Козлов',
		'Новиков', 'Морозов', 'Петров', 'Волков', 'Соловьёв', 'Васильев', 'Зайцев',
		'Павлов', 'Семёнов', 'Голубев', 'Виноградов', 'Богданов', 'Воробьёв',
		'Фёдоров', 'Михайлов', 'Беляев', 'Тарасов', 'Белов', 'Комаров', 'Орлов',
		'Киселёв', 'Макаров', 'Андреев', 'Ковалёв', 'Ильин', 'Гусев', 'Титов',
		'Кузьмин', 'Кудрявцев', 'Баранов', 'Куликов', 'Алексеев', 'Степанов',
		'Яковлев', 'Сорокин', 'Сергеев', 'Романов', 'Захаров', 'Борисов', 'Королёв',
		'Герасимов', 'Пономарёв', 'Григорьев', 'Лазарев', 'Медведев', 'Ершов',
		'Никитин', 'Соболев', 'Рябов', 'Поляков', 'Цветков', 'Данилов', 'Жуков',
		'Фролов', 'Журавлёв', 'Николаев', 'Крылов', 'Максимов', 'Сидоров', 'Осипов',
		'Белоусов', 'Федотов', 'Дорофеев', 'Егоров', 'Матвеев', 'Бобров', 'Дмитриев',
		'Калинин', 'Анисимов', 'Петухов', 'Антонов', 'Тимофеев', 'Никифоров',
		'Веселов', 'Филиппов', 'Марков', 'Большаков', 'Суханов', 'Миронов', 'Ширяев',
		'Александров', 'Коновалов', 'Шестаков', 'Казаков', 'Ефимов', 'Денисов',
		'Громов', 'Фомин', 'Давыдов', 'Мельников', 'Щербаков', 'Блинов', 'Колесников',
		'Карпов', 'Афанасьев', 'Власов', 'Маслов', 'Исаков', 'Тихонов', 'Аксёнов',
		'Гаврилов', 'Родионов', 'Котов', 'Горбунов', 'Кудряшов', 'Быков', 'Зуев',
		'Третьяков', 'Савельев', 'Панов', 'Рыбаков', 'Суворов', 'Абрамов', 'Воронов',
		'Мухин', 'Архипов', 'Трофимов', 'Мартынов', 'Емельянов', 'Горшков', 'Чернов',
		'Овчинников', 'Селезнёв', 'Панфилов', 'Копылов', 'Михеев', 'Галкин', 'Назаров',
		'Лобанов', 'Лукин', 'Беляков', 'Потапов', 'Некрасов', 'Хохлов', 'Жданов',
		'Наумов', 'Шилов', 'Воронцов', 'Ермаков', 'Дроздов', 'Игнатьев', 'Савин',
		'Логинов', 'Сафонов', 'Капустин', 'Кириллов', 'Моисеев', 'Елисеев', 'Кошелев',
		'Костин', 'Горбачёв', 'Орехов', 'Ефремов', 'Исаев', 'Евдокимов', 'Калашников',
		'Кабанов', 'Носков', 'Юдин', 'Кулагин', 'Лапин', 'Прохоров', 'Нестеров',
		'Харитонов', 'Агафонов', 'Муравьёв', 'Ларионов', 'Федосеев', 'Зимин', 'Пахомов',
		'Шубин', 'Игнатов', 'Филатов', 'Крюков', 'Рогов', 'Кулаков', 'Терентьев',
		'Молчанов', 'Владимиров', 'Артемьев', 'Гурьев', 'Зиновьев', 'Гришин', 'Кононов',
		'Дементьев', 'Ситников', 'Симонов', 'Мишин', 'Фадеев', 'Комиссаров', 'Мамонтов',
		'Носов', 'Гуляев', 'Шаров', 'Устинов', 'Вишняков', 'Евсеев', 'Лаврентьев',
		'Брагин', 'Константинов', 'Корнилов', 'Авдеев', 'Зыков', 'Бирюков', 'Шарапов',
		'Никонов', 'Щукин', 'Дьячков', 'Одинцов', 'Сазонов', 'Якушев', 'Красильников',
		'Гордеев', 'Самойлов', 'Князев', 'Беспалов', 'Уваров', 'Шашков', 'Бобылёв',
		'Доронин', 'Белозёров', 'Рожков', 'Самсонов', 'Мясников', 'Лихачёв', 'Буров',
		'Сысоев', 'Фомичёв', 'Русаков', 'Стрелков', 'Гущин', 'Тетерин', 'Колобов',
		'Субботин', 'Фокин', 'Блохин', 'Селиверстов', 'Пестов', 'Кондратьев', 'Силин',
		'Меркушев', 'Лыткин', 'Туров',
	);

	/**
	 * Return middle name 
	 * 
	 * @example 'Иванович'
	 *
	 * @access public
	 *
	 * @return string Middle name
	 */
	public function middleName()
	{
		return static::randomElement(static::$middleName);
	}

}
